Subject: Re: Problems with dma_alloc_coherent()

From: Brad Boyer <[email-masked]>
Date: Sat, 3 Apr 2004 09:33:58 -0800

On Sat, Apr 03, 2004 at 08:54:18AM +0100, Adrian Cox wrote:
> I've not encountered a chip with more than one platform DMA controller.
> Rather than having a top level API with low-level providers, consider
> picking the implementation at Kconfig time.

It's generally better not to decide this sort of thing at compile time
if you want it to be portable. If you want an example of a kernel that
can do everything, try compiling Linux for m68k sometime. You can have
one kernel that can support Amigas, Ataris, Macs, and a few others all
at once. I'm sure it goes without saying that pretty much everything
other than the base CPU is different on each platform.  In fact, even
just with 68k based Macs, Apple changed stuff so often that any two
models may have almost nothing in common.

	Brad Boyer
	[email-masked]

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/